#
# spec file for package rubygem-libyui-rake
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           rubygem-libyui-rake
Version:        0.1.24
Release:        bp160.1.9
%define mod_name libyui-rake
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            http://github.org/openSUSE/libyui-rake
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Rake tasks providing basic work-flow for libyui development
License:        LGPL-2.1-only
Group:          Development/Languages/Ruby

%description
Rake tasks that support the workflow of a libyui developer. It allows packaging
a repo, sending it to the build service, creating a submit request to the
target repo or running the client from the git repo.
Heavily inspired by yast-rake.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING README.md" \
  -f

%gem_packages

%changelog
* Fri Apr  8 2022 Ladislav Slezák <lslezak@suse.cz>
- Use Rubocop 1.24.1 (the old one does not work in Ruby 3)
- Updated data in Gemspec
- Updated submit data, added SLE15-SP5 target, "sle_latest" moved
  to SLE15-SP5 (related to bsc#1198109)
- 0.1.24
* Wed Mar 31 2021 Ladislav Slezák <lslezak@suse.cz>
- Updated OBS build targets
  - Added "sle15sp3" target (bsc#1184225)
  - Added future "sle15sp4" target
  - Update "sle_latest" to point to "sle15sp4"
- 0.1.23
* Tue Mar 30 2021 Ladislav Slezák <lslezak@suse.cz>
- Fixed packaging_rake_tasks dependency (related to bsc#1183957)
- 0.1.22
* Wed Mar  3 2021 José Iván López González <jlopez@suse.com>
- Added so_version tasks (related to bsc#1181653).
- 0.1.21
* Thu Apr 23 2020 Ladislav Slezák <lslezak@suse.cz>
- Added "sle15sp2" target, "sle_latest" moved to SLE15-SP3
  (bsc#1170286)
- 0.1.20
* Thu Sep  5 2019 Stefan Hundhammer <shundhammer@suse.com>
- Unified spec_version (bsc#1149618)
- 0.1.19
* Wed Aug 14 2019 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Fix libyui/tasks.rb permissions (bsc#1145602)
- 0.1.18
* Tue Aug 13 2019 José Iván López González <jlopez@suse.com>
- Added SLE-12-SP5 target (bsc#1145480)
- 0.1.17
* Thu Jun 20 2019 Ladislav Slezák <lslezak@suse.cz>
- :sle_latest is SLE15-SP2 now (bsc#1138835)
- 0.1.16
* Wed Jun 12 2019 Stefan Hundhammer <shundhammer@suse.com>
- Added version:tag task (bsc#1133435)
- 0.1.15
* Tue Mar 26 2019 Ladislav Slezak <lslezak@suse.cz>
- Added SLE-15-SP1 target (bsc#1130043)
- 0.1.14
* Tue Oct 30 2018 lslezak@suse.cz
- Changed the SLE12-SP4 SR target to the :Update subproject
  (bsc#1113887)
- 0.1.13
* Tue Oct 16 2018 Stasiek Michalski <hellcp@mailbox.org>
- Remove qrc from license check (boo#1112041)
- 0.1.12
* Fri Oct  5 2018 jreidinger@suse.com
- Relax rake dependency as it works even with ruby 2.5(bsc#1044312)
- 0.1.11
* Fri Jun 15 2018 jreidinger@suse.com
- switch sle_latest to SLE15 SP1 and switch SLE15 GA to
  maintenance mode (bsc#1044312)
- 0.1.10
* Thu Apr 19 2018 jreidinger@suse.com
- add SLE12 SP4 as target and switch sle_latest to nil for now
  until IBS create project for SLE15 SP1. (bsc#1044312)
- 0.1.9
* Mon Feb  5 2018 shundhammer@suse.com
- Allow 4 digits in version numbers (bsc#1074596)
- 0.1.8
* Thu Jun 15 2017 jreidinger@suse.com
- Update sle12sp3 target and add sle15 target (bnc#1044312)
- 0.1.7
* Thu Nov 10 2016 igonzalezsosa@suse.com
- Update sle12sp2 target (bnc#1009324)
- 0.1.6
* Fri Oct  7 2016 mvidner@suse.com
- Added a 'staging' target for devel:libraries:libyui:Staging.
- 0.1.5
* Tue Sep 13 2016 jreidinger@suse.com
- add data for submitting to Leap and SLES12 SP3 (bnc#996865)
- 0.1.4
* Wed Mar 16 2016 mvidner@suse.com
- Packaging fixes:
  - Relax, require packaging_rake_tasks > 1.1.4
  - SPDX format for license
- 0.1.3
* Wed Mar  9 2016 schubi@suse.de
- Requiring packaging_rake_tasks ~> 1.1.4 in order to check
  for bugzilla,fate entries in the changes file.
  (bnc#0)
- 0.1.2
* Thu Nov  5 2015 ancor@suse.com
- Targets definition and usage are now similar to yast-rake
- 0.1.1
* Fri Oct  2 2015 igonzalezsosa@suse.com
- initial version
